summaryrefslogtreecommitdiffstats
path: root/meta/recipes-devtools/opkg-utils
diff options
context:
space:
mode:
authorAlejandro del Castillo <alejandro.delcastillo@ni.com>2016-06-06 11:08:52 -0500
committerRichard Purdie <richard.purdie@linuxfoundation.org>2016-06-07 15:22:37 +0100
commitb7cd72cddd87f36207b3362baf1710d527e35111 (patch)
tree9aabbe22db716a9214d68eefd21a154cdaf0e0fe /meta/recipes-devtools/opkg-utils
parentd9e47a522a50c586233f6545f47d85588aaf707e (diff)
downloadpoky-b7cd72cddd87f36207b3362baf1710d527e35111.tar.gz
opkg-utils: update SRCREV
Drop patches now included in newer SRCREV. Update HOMEPAGE and PV version to better align with opkg. Current revision include: * Python 3 compatibility * Improved error handling (From OE-Core rev: 4b0b43f473ef12631daa577cdba39906f7d67cab) Signed-off-by: Alejandro del Castillo <alejandro.delcastillo@ni.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
Diffstat (limited to 'meta/recipes-devtools/opkg-utils')
-rw-r--r--meta/recipes-devtools/opkg-utils/opkg-utils/0001-opkg-build-re-do-find-ls-code-to-not-fail-on-filenam.patch56
-rw-r--r--meta/recipes-devtools/opkg-utils/opkg-utils/opkg-build-Exit-when-fail-to-list-files.patch45
-rw-r--r--meta/recipes-devtools/opkg-utils/opkg-utils_git.bb10
3 files changed, 4 insertions, 107 deletions
diff --git a/meta/recipes-devtools/opkg-utils/opkg-utils/0001-opkg-build-re-do-find-ls-code-to-not-fail-on-filenam.patch b/meta/recipes-devtools/opkg-utils/opkg-utils/0001-opkg-build-re-do-find-ls-code-to-not-fail-on-filenam.patch
deleted file mode 100644
index 5cbb55a7dc..0000000000
--- a/meta/recipes-devtools/opkg-utils/opkg-utils/0001-opkg-build-re-do-find-ls-code-to-not-fail-on-filenam.patch
+++ /dev/null
@@ -1,56 +0,0 @@
1From 8e424296ce2af4a5a7392c38a31f8723f9b9fbda Mon Sep 17 00:00:00 2001
2From: Denys Dmytriyenko <denys@ti.com>
3Date: Thu, 7 Apr 2016 20:43:13 -0400
4Subject: [PATCH] opkg-build: re-do find/ls code to not fail on filenames with
5 spaces
6
7Signed-off-by: Denys Dmytriyenko <denys@ti.com>
8---
9 opkg-build | 9 ++++-----
10 1 file changed, 4 insertions(+), 5 deletions(-)
11
12diff --git a/opkg-build b/opkg-build
13index a9ccad2..07305b2 100755
14--- a/opkg-build
15+++ b/opkg-build
16@@ -6,7 +6,6 @@
17 # 2003-04-25 rea@sr.unh.edu
18 # Updated to work on Familiar Pre0.7rc1, with busybox tar.
19 # Note it Requires: binutils-ar (since the busybox ar can't create)
20-# For UID debugging it needs a better "find".
21 set -e
22
23 version=1.0
24@@ -47,12 +46,12 @@ pkg_appears_sane() {
25
26 PKG_ERROR=0
27
28- tilde_files=`find . -name '*~'`
29+ tilde_files=`find . -name '*~' -ls -printf '\\\n'`
30 if [ -n "$tilde_files" ]; then
31 if [ "$noclean" = "1" ]; then
32 echo "*** Warning: The following files have names ending in '~'.
33 You probably want to remove them: " >&2
34- ls -ld $tilde_files
35+ echo -e $tilde_files
36 if [ $? -ne 0 ]; then
37 echo "*** Error: Fail to list files have names ending in '~'."
38 exit 1
39@@ -64,12 +63,12 @@ You probably want to remove them: " >&2
40 fi
41 fi
42
43- large_uid_files=`find . -uid +99 || true`
44+ large_uid_files=`find . -uid +99 -ls -printf '\\\n' || true`
45
46 if [ "$ogargs" = "" ] && [ -n "$large_uid_files" ]; then
47 echo "*** Warning: The following files have a UID greater than 99.
48 You probably want to chown these to a system user: " >&2
49- ls -ld $large_uid_files
50+ echo -e $large_uid_files
51 if [ $? -ne 0 ]; then
52 echo "*** Error: Fail to list files have a UID greater than 99."
53 exit 1
54--
552.2.0
56
diff --git a/meta/recipes-devtools/opkg-utils/opkg-utils/opkg-build-Exit-when-fail-to-list-files.patch b/meta/recipes-devtools/opkg-utils/opkg-utils/opkg-build-Exit-when-fail-to-list-files.patch
deleted file mode 100644
index 6c66902efe..0000000000
--- a/meta/recipes-devtools/opkg-utils/opkg-utils/opkg-build-Exit-when-fail-to-list-files.patch
+++ /dev/null
@@ -1,45 +0,0 @@
1We have an issue when ls segfaults in some cases [1] so it's
2better to detect the failure at this level instead of continue
3the build process.
4
5[YOCTO #8926]
6
7Upstream-Status: Submitted [2]
8
9[1] https://bugzilla.yoctoproject.org/show_bug.cgi?id=8926#c0
10[2] https://groups.google.com/forum/#!topic/opkg-devel/cmX02bgHZms
11
12Signed-off-by: Aníbal Limón <anibal.limon@linux.intel.com>
13---
14 opkg-build | 8 ++++++++
15 1 file changed, 8 insertions(+)
16
17diff --git a/opkg-build b/opkg-build
18index 98008b6..a9ccad2 100755
19--- a/opkg-build
20+++ b/opkg-build
21@@ -53,6 +53,10 @@ pkg_appears_sane() {
22 echo "*** Warning: The following files have names ending in '~'.
23 You probably want to remove them: " >&2
24 ls -ld $tilde_files
25+ if [ $? -ne 0 ]; then
26+ echo "*** Error: Fail to list files have names ending in '~'."
27+ exit 1
28+ fi
29 echo >&2
30 else
31 echo "*** Removing the following files: $tilde_files"
32@@ -66,6 +70,10 @@ You probably want to remove them: " >&2
33 echo "*** Warning: The following files have a UID greater than 99.
34 You probably want to chown these to a system user: " >&2
35 ls -ld $large_uid_files
36+ if [ $? -ne 0 ]; then
37+ echo "*** Error: Fail to list files have a UID greater than 99."
38+ exit 1
39+ fi
40 echo >&2
41 fi
42
43--
442.1.4
45
diff --git a/meta/recipes-devtools/opkg-utils/opkg-utils_git.bb b/meta/recipes-devtools/opkg-utils/opkg-utils_git.bb
index 8873b28701..a7aec45f8d 100644
--- a/meta/recipes-devtools/opkg-utils/opkg-utils_git.bb
+++ b/meta/recipes-devtools/opkg-utils/opkg-utils_git.bb
@@ -1,18 +1,16 @@
1SUMMARY = "Additional utilities for the opkg package manager" 1SUMMARY = "Additional utilities for the opkg package manager"
2SUMMARY_update-alternatives-opkg = "Utility for managing the alternatives system" 2SUMMARY_update-alternatives-opkg = "Utility for managing the alternatives system"
3SECTION = "base" 3SECTION = "base"
4HOMEPAGE = "http://code.google.com/p/opkg/" 4HOMEPAGE = "http://git.yoctoproject.org/cgit/cgit.cgi/opkg-utils"
5LICENSE = "GPLv2+" 5LICENSE = "GPLv2+"
6LIC_FILES_CHKSUM = "file://COPYING;md5=94d55d512a9ba36caa9b7df079bae19f \ 6LIC_FILES_CHKSUM = "file://COPYING;md5=94d55d512a9ba36caa9b7df079bae19f \
7 file://opkg.py;beginline=1;endline=18;md5=15917491ad6bf7acc666ca5f7cc1e083" 7 file://opkg.py;beginline=1;endline=18;md5=15917491ad6bf7acc666ca5f7cc1e083"
8PROVIDES += "${@bb.utils.contains('PACKAGECONFIG', 'update-alternatives', 'virtual/update-alternatives', '', d)}" 8PROVIDES += "${@bb.utils.contains('PACKAGECONFIG', 'update-alternatives', 'virtual/update-alternatives', '', d)}"
9 9
10SRCREV = "53274f087565fd45d8452c5367997ba6a682a37a" 10SRCREV = "3ffece9bf19a844edacc563aa092fd1fbfcffeee"
11PV = "0.1.8+git${SRCPV}" 11PV = "0.3.2+git${SRCPV}"
12 12
13SRC_URI = "git://git.yoctoproject.org/opkg-utils \ 13SRC_URI = "git://git.yoctoproject.org/opkg-utils"
14 file://opkg-build-Exit-when-fail-to-list-files.patch \
15 file://0001-opkg-build-re-do-find-ls-code-to-not-fail-on-filenam.patch"
16SRC_URI_append_class-native = " file://tar_ignore_error.patch" 14SRC_URI_append_class-native = " file://tar_ignore_error.patch"
17 15
18S = "${WORKDIR}/git" 16S = "${WORKDIR}/git"